Call: 919.694.3298 (919.NWIDA.98) | Email: info@nwida.org

National Wireless Independent Dealer Association

T-Mobile to require VoLTE on all phones in January

T-Mobile _ NWIDAIf you have T-Mobile (or the former Sprint) service, you’ll need a VoLTE phone by January, or your service will stop.

According to T-Mobile memo (see below), the carrier will fast track plans to shut down its legacy voice networks. Affected customers will be forced to upgrade handsets or leave the network by January, 2021. Most carriers have already shut down their legacy 2G networks and the expiration date for 3G is coming fast. AT&T started telling customers that phones without 4G voice calling would no longer work starting in 2022.

Starting August 4th T-Mobile will require all new activations to be devices that support VoLTE. Existing customers with a non-compatible phone won’t be immediately impacted, but in January 2021, all incompatible devices will no longer be able to use T-Mobile. Customers will receive a text informing them of the change “in the near future.”

 
NWIDA members, contact us today if you need our assistance and if you’re not yet a member, we invite you to join today.
Want news like this delivered to your inbox? Click HERE Email pic - NWIDA
Want news like this in your RSS feed? Click HERE RSS Logo - NWIDA
Want news like this delivered to your Alexa Flash Briefing? Click HERE Alexa Logo - NWIDA
Join us on Reddit – Click HERE
paid ad:

Have any Question or Comment?

Leave a Reply

Your email address will not be published. Required fields are marked *

I accept that my given data and my IP address is sent to a server in the USA only for the purpose of spam prevention through the Akismet program.More information on Akismet and GDPR.

I’m Ready to join

Not Ready to Join?

Donate to NWIDA toady!


Please send more information





Paid Ad: